pcl::PlanarPolygonFusion< PointT > Class Template Reference

PlanarPolygonFusion takes a list of 2D planar polygons and attempts to reduce them to a minimum set that best represents the scene, based on various given comparators. More...

`#include <pcl/segmentation/planar_polygon_fusion.h>`

## Public Member Functions

| PlanarPolygonFusion ()
| Constructor. More...
virtual | ~PlanarPolygonFusion ()
| Destructor. More...
void | reset ()
| Reset the state (clean the list of planar models). More...
void | addInputPolygons (const std::vector< PlanarRegion< PointT >, Eigen::aligned_allocator< PlanarRegion< PointT > > > &input)
| Set the list of 2D planar polygons to refine. More...

## Protected Attributes

std::vector< pcl::PlanarRegion< PointT >, Eigen::aligned_allocator< pcl::PlanarRegion< PointT > > > | regions_
| Internal list of planar states. More...

## Detailed Description

### template<typename PointT>
class pcl::PlanarPolygonFusion< PointT >

PlanarPolygonFusion takes a list of 2D planar polygons and attempts to reduce them to a minimum set that best represents the scene, based on various given comparators.

Definition at line 52 of file planar_polygon_fusion.h.

## Constructor & Destructor Documentation

## PlanarPolygonFusion()

template<typename PointT >

pcl::PlanarPolygonFusion< PointT >::PlanarPolygonFusion | ( |  | ) |

inline

Constructor.

Definition at line 56 of file planar_polygon_fusion.h.

## ~PlanarPolygonFusion()

template<typename PointT >

virtual pcl::PlanarPolygonFusion< PointT >::~PlanarPolygonFusion | ( |  | ) |

inline virtual

Destructor.

Definition at line 59 of file planar_polygon_fusion.h.

## Member Function Documentation

## addInputPolygons()

template<typename PointT >

void pcl::PlanarPolygonFusion< PointT >::addInputPolygons | ( | const std::vector< PlanarRegion< PointT >, Eigen::aligned_allocator< PlanarRegion< PointT > > > & | input | ) |

inline

Set the list of 2D planar polygons to refine.

Parameters

  [in] | input | the list of 2D planar polygons to refine

Definition at line 72 of file planar_polygon_fusion.h.

References pcl::PlanarPolygonFusion< PointT >::regions_.

## reset()

template<typename PointT >

void pcl::PlanarPolygonFusion< PointT >::reset | ( |  | ) |

inline

Reset the state (clean the list of planar models).

Definition at line 63 of file planar_polygon_fusion.h.

References pcl::PlanarPolygonFusion< PointT >::regions_.

## Member Data Documentation

## regions_

template<typename PointT >

std::vector<pcl::PlanarRegion<PointT>, Eigen::aligned_allocator<pcl::PlanarRegion<PointT> > > pcl::PlanarPolygonFusion< PointT >::regions_

protected

Internal list of planar states.

Definition at line 82 of file planar_polygon_fusion.h.

Referenced by pcl::PlanarPolygonFusion< PointT >::addInputPolygons(), and pcl::PlanarPolygonFusion< PointT >::reset().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/planar_polygon_fusion.h